Bug 1478593

Summary: don't require yum-utils
Product: [Fedora] Fedora Reporter: Carl George <carl>
Component: saltAssignee: Clint Savage <herlo1>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: andrewniemants, dmurphy, erik, herlo1, jeff
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-03 16:42:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Carl George 2017-08-04 21:53:09 UTC
Currently salt explicitly requires yum-utils.  I believe this requirement is to get access to the reqoquery command.  Yum and yum-utils are deprecated in Fedora and will eventually be removed.  A replacement for yum-utils called dnf-utils exists in Fedora 26 and higher.  If you already have dnf-utils installed and try to install salt, you get an error.

> # dnf install salt
> Last metadata expiration check: 1:09:59 ago on Fri 04 Aug 2017 03:35:31 PM CDT.
> Error: 
>  Problem: problem with installed package dnf-utils-2.1.3-1.fc26.noarch
>   - package dnf-utils-2.1.3-1.fc26.noarch conflicts with yum-utils < 1.1.31-513 provided by yum-utils-1.1.31-512.fc26.noarch
>   - package dnf-utils-2.1.1-1.fc26.noarch conflicts with yum-utils < 1.1.31-513 provided by yum-utils-1.1.31-512.fc26.noarch
>   - package salt-2016.11.5-3.fc26.noarch requires yum-utils, but none of the providers can be installed
>   - conflicting requests
> (try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstalable packages)

The spec file for salt should be modified to the following.

> %if 0%{?fedora} >= 26
> Requires: dnf-utils
> %else
> Requires: yum-utils
> %endif

Alternatively, we could attempt to convince upstream to use `/usr/bin/dnf repoquery` instead of `/usr/bin/repoquery`, then drop the requirement entirely.

Comment 1 Carl George 2017-08-04 22:03:41 UTC
Another options would be to do this.

> Requires: /usr/bin/repoquery

Comment 2 David Murphy 2017-08-07 23:47:29 UTC
Will add the sample code:

> %if 0%{?fedora} >= 26
> Requires: dnf-utils
> %else
> Requires: yum-utils
> %endif

to the spec file for the next point release for Salt.

Comment 3 Fedora End Of Life 2018-05-03 08:24:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Carl George 2018-05-03 16:42:45 UTC
Looks like this was fixed in https://src.fedoraproject.org/rpms/salt/c/0177e9a695624b11860173118c32066640f7b1ad (salt-2017.7.1-1), but this bug was just forgotten.